Bug 145533 - Autofs will not mount on a top level folder using direct maps
Autofs will not mount on a top level folder using direct maps
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ian Kent
Brock Organ
:
: 121959 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 09:52 EST by Dean Plant
Modified: 2007-11-30 17:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 03:32:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Plant 2005-01-19 09:52:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I am testing autofs on FC3 with direct mounts read from Solaris NIS maps.

I have enabled direct mounts by editing DISABLE_DIRECT=1 in
/etc/sysconfig/autofs.

On the NIS server I have test direct mount of:

/admin   -ro amachine:/export/admin

Which does not work correctly in FC3 but work's fine in Solaris,
/var/log/messages show's

cache_ghost: entry in yp:auto_direct not valid map format, key /admin

When I add the below direct mount, it works as expected.

/test/admin   -ro amachine:/export/admin

Is this just a feature of the Linux autofs not fully emulating Sun's
autofs or is this a bug?

Version-Release number of selected component (if applicable):
autofs-4.1.3-47

How reproducible:
Always

Steps to Reproduce:
1. As per description
2.
3.
    

Additional info:
Comment 1 Jeffrey Moyer 2005-01-19 09:55:18 EST
Please include your auto.master as well.

At first glance, this looks like a bug to me.
Comment 2 Dean Plant 2005-01-19 10:00:02 EST
auto.master contains

/net    /etc/auto.net
/home   yp:auto_home
Comment 3 Jeffrey Moyer 2005-01-19 10:04:21 EST
Then where is the direct mount?  Direct mounts are of the form:

/-   /etc/auto.direct

then auto.direct would have your absolute path:

/foo  server:/export/foo

Comment 4 Dean Plant 2005-01-19 10:15:58 EST
Sorry, I guess you meant the auto.master on the NIS server?

If so,
auto.master

# Master map for automounter for SunOS 5 machines
#
/net            -hosts          -nosuid
/-              auto_direct    -rw,intr,suid

auto_direct
# Admin
/admin          -ro,intr,suid valiant.roke.co.uk:/space/admin
/test/admin     -ro,intr,suid valiant.roke.co.uk:/space/admin
Comment 5 Jeffrey Moyer 2005-01-19 10:18:03 EST
Yes, thank you!
Comment 6 Jeffrey Moyer 2005-04-11 16:16:18 EDT
*** Bug 121959 has been marked as a duplicate of this bug. ***
Comment 7 Tom Duffy 2005-04-11 16:29:29 EDT
isn't it normal to dup the newer bug to the older one instead of the other way
around?
Comment 8 Jeffrey Moyer 2005-04-11 16:34:16 EDT
Yes, but this is against a more current release, so far as I can tell.  Sorry
for not adding you to the CC.
Comment 9 Ian Pilcher 2006-04-14 19:59:35 EDT
This bug appears to be present in RHEL 4 update 3 as well.
Comment 10 Jeffrey Moyer 2006-04-17 09:48:20 EDT
This is something that will be fixed in autofs version 5.  That is currently
under development and will likely be released to rawhide at some point.  I
wouldn't expect this to be backported to FC-3 or FC-4.
Comment 11 Matthew Miller 2006-07-10 17:49:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 12 Edgar Hoch 2006-09-17 08:28:57 EDT
I have tested it on FC5 x86_64 with all updates until today.
But it does not work as expected.

I have created a /etc/auto.direct file with the line
/usr/local-test -rw,hard,intr,bg remotehost:/remotepath

and in /etc/auto.master is a line
/- /etc/auto.direct

When I restart autofs (service autofs restart) then the following processes will
be created:
root      6856     1  0 14:11 ?        00:00:00 /usr/sbin/automount --timeout=60
--ghost /- file /etc/auto.direct
root      6874  6856  0 14:11 ?        00:00:00 /usr/sbin/automount --submount
--ghost --timeout=60 /usr file /etc/auto.direct

ls -l /usr shows only
total 0
dr-xr-xr-x 2 root root 0 Sep 17 14:11 local-test

and in /usr/local-test/ there is the remote directory mounted,
but all other directories in /usr are hidden!

This behaviour is not the one expected!
A direct link should only mount the mount point (in this case: /usr/local-test)
and not make the parent directory an autofs directory 
that hides all other files previously in this directory!

On Solaris this configuration mounts only /usr/local-test and all other
directories and files in /usr are still available!

I don't know if this behaviour should be filed to a new bug,
but because it is direct related to direct autofs maps
I think we can leave it in this bug report?
Otherwise feel free to create a know bug report (or tell it to me...).

As I can't change the version to fc5 please could the owner or a maintainer do it?

With this behaviour autofs direct maps are still unuseable for me.

Thanks in advance!
Comment 13 Ian Kent 2006-09-17 21:49:10 EDT
(In reply to comment #12)
> I have tested it on FC5 x86_64 with all updates until today.
> But it does not work as expected.

Yes that's correct.
There is only limited support for direct mounts in autofs
v4 and this is not going to change.

You have a couple of choices.

First, you could install version 5 of autofs from Rawhide.
Since you have a fully upto date FC5 you will have a kernel
version 2.6.17 at least which is the minimum kernel required.
It has almost all the changes needed to support v5 direct mounts.
Provided you don't have more complicated maps than you describe
this will function as you expect.

Second, if you need some of the more advanced features you could
use the Rawhide version and add the additional kernel patches.

Third, you could use an FC6 test release but that's probably not
the best choice unless you have the time and patience to file
bug reports.

If you can't do any of these then I will close this as NOTABUG.

Ian
 
Comment 14 Ian Kent 2006-12-19 03:32:50 EST
(In reply to comment #13)
> (In reply to comment #12)
> > I have tested it on FC5 x86_64 with all updates until today.
> > But it does not work as expected.
> 
> Yes that's correct.
> There is only limited support for direct mounts in autofs
> v4 and this is not going to change.
> 
> You have a couple of choices.
> 
> First, you could install version 5 of autofs from Rawhide.
> Since you have a fully upto date FC5 you will have a kernel
> version 2.6.17 at least which is the minimum kernel required.
> It has almost all the changes needed to support v5 direct mounts.
> Provided you don't have more complicated maps than you describe
> this will function as you expect.
> 
> Second, if you need some of the more advanced features you could
> use the Rawhide version and add the additional kernel patches.
> 
> Third, you could use an FC6 test release but that's probably not
> the best choice unless you have the time and patience to file
> bug reports.
> 
> If you can't do any of these then I will close this as NOTABUG.

No response in three months and I can't do anything about this
anyway. Closing "NOTABUG".


Note You need to log in before you can comment on or make changes to this bug.